﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Silanis.ESL.SDK;
using Silanis.ESL.SDK.Builder;
using System.Diagnostics;

namespace esl
{
    class SessionFields
    {
        public static void main()
        {
            EslClient eslClient = new EslClient(Properties.Settings.Default.key, Properties.Settings.Default.url);

            DocumentPackage pack = PackageBuilder.NewPackageNamed("Test package!")
                    .WithSigner(SignerBuilder.NewSignerWithEmail("mail32@mailinator.com")
                            .WithFirstName("John")
                            .WithLastName("Smith")
                            .WithCustomId("signer1"))
                    .WithDocument(DocumentBuilder.NewDocumentNamed("some doc")
                            .FromFile("C:/Users/hhaidary/Desktop/PDFs/doc1.pdf")
                            .WithSignature(SignatureBuilder.CaptureFor("mail32@mailinator.com")
                                    .AtPosition(100, 100)
                                    .OnPage(0)))
                    .Build();

            PackageId packageId = eslClient.CreateAndSendPackage(pack);

            IDictionary<string, string> signerSessionFields = new Dictionary<string, string>();
            signerSessionFields.Add("Transaction ID", "1234567890");
            signerSessionFields.Add("Login Token", "8888888888888");
            var signerAuthenticationToken = eslClient.AuthenticationTokenService.CreateSignerAuthenticationToken(packageId, "signer1", signerSessionFields);

            Debug.WriteLine("https://sandbox.esignlive.com/access?sessionToken=" + signerAuthenticationToken);
        }
    }
}
